zks_getConfirmedTokens

Returns [address, symbol, name, and decimal] information of all tokens within a range of ids given by parameters from and limit.

Confirmed in the method name means any token bridged to zkSync Era via the official bridge.

The tokens are returned in alphabetical order by their symbol. This means the token id is its position in an alphabetically sorted array of tokens.

Returns

Example

Request

curl --location --request POST 'https://zksync-era-mainnet.unifra.io/v1/your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0", "id": 1, "method": "zks_getConfirmedTokens", "params": [ 1, 3 ]}'

Result

{
    "jsonrpc": "2.0",
    "result": [
        {
            "decimals": 18,
            "l1Address": "0xba100000625a3754423978a60c9317c58a424e3d",
            "l2Address": "0xaff169fca5086940c890c8a04c6db4b1db6e0dd6",
            "name": "Balancer",
            "symbol": "BAL"
        },
        {
            "decimals": 18,
            "l1Address": "0xffffffff2ba8f66d4e51811c5190992176930278",
            "l2Address": "0xc2b13bb90e33f1e191b8aa8f44ce11534d5698e3",
            "name": "Furucombo",
            "symbol": "COMBO"
        },
        {
            "decimals": 18,
            "l1Address": "0xa487bf43cf3b10dffc97a9a744cbb7036965d3b9",
            "l2Address": "0x140d5bc5b62d6cb492b1a475127f50d531023803",
            "name": "Deri",
            "symbol": "DERI"
        }
    ],
    "id": 1
}
Path Params
string
required
Body Params
string
Defaults to 2.0
string
Defaults to zks_L1ChainId
params
array of strings
params
int32
Defaults to 1
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json